# SHORT DESCRIPTION (required)

A simple and succinct description about why the code needs to be refracted.


# Public Api Impact (required)

Ideally refracted code should not impact the **_Public Api_** of Routes, CLI or the Class(es) being refracted, but if they are affected, than detail here exactly what is changing and why...


# PROPOSAL (required)

Try to only refract a Class at a time, but if not possible don't go for more than 1 HTTP or CLI end point.

## [Path/To/Filename.extension](https://gitlab.com/exadra37-learning/all-about-https/blob/perma-link-hash/Filename.extension)

Provide here as much detail as you can about why and what code is to be extracted to other classes, refracted and maintained in same class or simply to be removed.


# RELATED TO (optional)

* #67 (issue)
* !21 (merge request)
* %3 (milestone)


# DEPENDS ON (optional)

* #123 (issue)
* !98 (merge request)
* %15 (milestone)


# LINKS (optional)

* [Link title](https://example.com)
* [Link 2 title](https://domain.com)
